Bug 864319 - [abrt] "nv_alloc_instruction: Assertion `pc->num_instructions < 2048' failed" running pymol
[abrt] "nv_alloc_instruction: Assertion `pc->num_instructions < 2048' failed"...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
abrt_hash:25badd8d4b3b40826e9eb9235df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 02:49 EDT by piermario
Modified: 2013-07-31 17:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:55:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.46 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: environ (1.88 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: backtrace (148.84 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: cgroup (127 bytes, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: maps (24.06 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: dso_list (6.88 KB, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: open_fds (258 bytes, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details
File: var_log_messages (154 bytes, text/plain)
2012-10-09 02:50 EDT, piermario
no flags Details

  None (edit)
Description piermario 2012-10-09 02:49:58 EDT
Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/pymol/__init__.py
crash_function: nv_alloc_instruction
kernel:         3.3.4-5.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #5 nv_alloc_instruction at nv50_pc.h:351
: #6 new_instruction at nv50_pc.h:362
: #7 bld_insn_1 at nv50_tgsi_to_nc.c:535
: #8 bld_instruction at nv50_tgsi_to_nc.c:1602
: #9 nv50_tgsi_to_nc at nv50_tgsi_to_nc.c:2060
: #10 nv50_generate_code at nv50_pc.c:500
: #11 nv50_program_translate at nv50_program.c:658
: #12 nv50_program_validate at nv50_shader_state.c:134
: #13 nv50_fragprog_validate at nv50_shader_state.c:194
: #14 nv50_state_validate at nv50_state_validate.c:393
Comment 1 piermario 2012-10-09 02:50:01 EDT
Created attachment 623925 [details]
File: core_backtrace
Comment 2 piermario 2012-10-09 02:50:03 EDT
Created attachment 623926 [details]
File: environ
Comment 3 piermario 2012-10-09 02:50:05 EDT
Created attachment 623927 [details]
File: limits
Comment 4 piermario 2012-10-09 02:50:10 EDT
Created attachment 623928 [details]
File: backtrace
Comment 5 piermario 2012-10-09 02:50:12 EDT
Created attachment 623929 [details]
File: cgroup
Comment 6 piermario 2012-10-09 02:50:14 EDT
Created attachment 623930 [details]
File: maps
Comment 7 piermario 2012-10-09 02:50:16 EDT
Created attachment 623931 [details]
File: dso_list
Comment 8 piermario 2012-10-09 02:50:19 EDT
Created attachment 623932 [details]
File: open_fds
Comment 9 piermario 2012-10-09 02:50:21 EDT
Created attachment 623933 [details]
File: var_log_messages
Comment 10 Dave Malcolm 2012-10-09 11:18:54 EDT
Thanks for filing this bug report.

Looking at attachment 623928 [details] I see that thread 1 has a failed assertion:

  nv_alloc_instruction: Assertion `pc->num_instructions < 2048' failed.

deep within OpenGL rendering (and I believe, within an nVidia driver).

Reassigning from "python" to "pymol" for now.
Comment 11 Dave Malcolm 2012-10-09 11:22:00 EDT
(In reply to comment #10)
> deep within OpenGL rendering (and I believe, within an nVidia driver).
Specifically, within a call to glDrawArrays at frame #18, so probably a driver issue actually.

Reassigning from "pymol" to "mesa" in the hope that that's the appropriate component (my knowledge of the internals of our 3D stack is a little hazy, sorry).
Comment 12 Tim Fenn 2012-10-12 21:02:16 EDT
OK, let me know if you'd like me to contact pymol upstream and have them take a look, if need be.
Comment 13 Fedora End Of Life 2013-07-03 17:07:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 17:55:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.